## retroarch-dmo 1.15.0

=== Makefile ===
HAVE_FILE_LOGGER=1
NEED_CXX_LINKER?=0
NEED_GOLD_LINKER?=0
MISSING_DECLS   =0

ifneq ($(C90_BUILD),)
   C89_BUILD=1
endif

include config.mk

# Put your favorite compile flags in this file, if you want different defaults than upstream.
# Do not attempt to create that file upstream.
# (It'd be better to put this comment in that file, but .gitignore doesn't work on files that exist in the repo.)
-include Makefile.local

ifeq ($(HAVE_ANGLE), 1)
TARGET = retroarch_angle
else
TARGET = retroarch
endif

OBJ :=
LIBS :=
DEF_FLAGS := -I.
ASFLAGS :=
DEFINES := -DHAVE_CONFIG_H -DRARCH_INTERNAL -D_FILE_OFFSET_BITS=64
DEFINES += -DGLOBAL_CONFIG_DIR='"$(GLOBAL_CONFIG_DIR)"'
DEFINES += -DASSETS_DIR='"$(DESTDIR)$(ASSETS_DIR)"'
DEFINES += -DFILTERS_DIR='"$(DESTDIR)$(FILTERS_DIR)"'
DEFINES += -DCORE_INFO_DIR='"$(DESTDIR)$(CORE_INFO_DIR)"'

OBJDIR_BASE := obj-unix

ifeq ($(NEED_GOLD_LINKER), 1)
   LDFLAGS += -fuse-ld=gold
endif

ifeq ($(DEBUG), 1)
   OBJDIR := $(OBJDIR_BASE)/debug
   CFLAGS ?= -O0 -g
   CXXFLAGS ?= -O0 -g
   DEFINES += -DDEBUG -D_DEBUG
else
   OBJDIR := $(OBJDIR_BASE)/release
   CFLAGS ?= -O3
   CXXFLAGS ?= -O3
   DEF_FLAGS += -ffast-math
endif

DEF_FLAGS += -Wall

ifneq ($(findstring BSD,$(OS)),)
   DEF_FLAGS += -DBSD
   LDFLAGS += -L/usr/local/lib
   UDEV_CFLAGS += -I/usr/local/include/libepoll-shim
   UDEV_LIBS += -lepoll-shim
endif

ifneq ($(findstring DOS,$(OS)),)
   DEF_FLAGS += -march=i386
   LDFLAGS += -lemu
endif

ifneq ($(findstring FPGA,$(OS)),)
   DEFINES += -DHAVE_FPGA
endif

ifneq ($(findstring Win32,$(OS)),)
   LDFLAGS += -static-libgcc -lwinmm -limm32
endif

include Makefile.common

ifeq ($(shell $(CC) -v 2>&1 | grep -c "clang"),1)
   DEF_FLAGS += -Wno-invalid-source-encoding -Wno-incompatible-ms-struct
endif

ifeq ($(shell $(CC) -v 2>&1 | grep -c "tcc"),1)
   MD = -MD
else
   MD = -MMD
endif

HEADERS = $(wildcard */*/*.h) $(wildcard */*.h) $(wildcard *.h)

ifeq ($(MISSING_DECLS), 1)
   DEF_FLAGS += -Werror=missing-declarations
endif

ifeq ($(HAVE_DYLIB), 1)
   LIBS += $(DYLIB_LIB)
endif

ifeq ($(HAVE_DYNAMIC), 1)
   LIBS += $(DYLIB_LIB)
else
   LIBS += $(libretro)
endif

ifneq ($(V),1)
   Q := @
endif

ifeq ($(HAVE_DRMINGW), 1)
   DEF_FLAGS += -DHAVE_DRMINGW
   LDFLAGS += $(DRMINGW_LIBS)
endif

ifneq ($(findstring Win32,$(OS)),)
   LDFLAGS += -mwindows
endif

ifneq ($(CXX_BUILD), 1)
   ifneq ($(C89_BUILD),)
      CFLAGS += -std=c89 -ansi -pedantic -Werror=pedantic -Wno-long-long -Werror=declaration-after-statement
   else ifeq ($(HAVE_C99), 1)
      CFLAGS += $(C99_CFLAGS)
   endif

   CFLAGS += -D_GNU_SOURCE
endif

DEF_FLAGS += $(INCLUDE_DIRS) -Ideps -Ideps/stb

CFLAGS += $(DEF_FLAGS)
CXXFLAGS += $(DEF_FLAGS) -D__STDC_CONSTANT_MACROS
OBJCFLAGS :=  $(CFLAGS) -D__STDC_CONSTANT_MACROS

ifeq ($(HAVE_CXX), 1)
   ifeq ($(CXX_BUILD), 1)
      LINK = $(CXX)
      CFLAGS   := $(CXXFLAGS) -xc++
      CFLAGS   += -DCXX_BUILD
      CXXFLAGS += -DCXX_BUILD
   else ifeq ($(NEED_CXX_LINKER),1)
      LINK = $(CXX)
   else
      LINK = $(CC)
   endif
else
   LINK = $(CC)
endif

RARCH_OBJ := $(addprefix $(OBJDIR)/,$(OBJ))

ifneq ($(X86),)
   CFLAGS += -m32
   CXXFLAGS += -m32
   LDFLAGS += -m32
endif

ifneq ($(SANITIZER),)
   CFLAGS   := -fsanitize=$(SANITIZER) $(CFLAGS)
   CXXFLAGS := -fsanitize=$(SANITIZER) $(CXXFLAGS)
   LDFLAGS  := -fsanitize=$(SANITIZER) $(LDFLAGS)
endif

ifneq ($(findstring $(GPERFTOOLS),profiler),)
   LIBS += -lprofiler
endif
ifneq ($(findstring $(GPERFTOOLS),tcmalloc),)
   LIBS += -ltcmalloc
endif

# Qt MOC generation, required for QObject-derived classes
ifneq ($(MOC_HEADERS),)
    # prefix moc_ to base filename of paths and change extension from h to cpp, so a/b/foo.h becomes a/b/moc_foo.cpp
    MOC_SRC := $(join $(addsuffix moc_,$(addprefix $(OBJDIR)/,$(dir $(MOC_HEADERS)))), $(notdir $(MOC_HEADERS:.h=.cpp)))
    MOC_OBJ := $(patsubst %.cpp,%.o,$(MOC_SRC))
    RARCH_OBJ += $(MOC_OBJ)
endif

all: $(TARGET) config.mk

$(MOC_SRC):
	@$(if $(Q), $(shell echo echo MOC $<),)
	$(eval MOC_TMP := $(patsubst %.h,%_moc.cpp,$@))
	$(Q)QT_SELECT=$(QT_VERSION) $(MOC) -o $(MOC_TMP) $<

$(foreach x,$(join $(addsuffix :,$(MOC_SRC)),$(MOC_HEADERS)),$(eval $x))

$(MOC_OBJ):
	@$(if $(Q), $(shell echo echo CXX $<),)
	$(Q)$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(DEFINES) -MMD -c -o $@ $<

$(foreach x,$(join $(addsuffix :,$(MOC_OBJ)),$(MOC_SRC)),$(eval $x))

ifeq ($(MAKECMDGOALS),clean)
config.mk:
else
-include $(RARCH_OBJ:.o=.d)
ifeq ($(HAVE_CONFIG_MK),)
config.mk: configure qb/*
	@echo "config.mk is outdated or non-existing. Run ./configure again."
	@exit 1
endif
endif

SYMBOL_MAP := -Wl,-Map=output.map

$(TARGET): $(RARCH_OBJ)
	@$(if $(Q), $(shell echo echo LD $@),)
	$(Q)$(LINK) -o $@ $(RARCH_OBJ) $(LIBS) $(LDFLAGS) $(LIBRARY_DIRS)

$(OBJDIR)/%.o: %.c config.h config.mk
	@mkdir -p $(dir $@)
	@$(if $(Q), $(shell echo echo CC $<),)
	$(Q)$(CC) $(CPPFLAGS) $(CFLAGS) $(DEFINES) $(MD) -c -o $@ $<

$(OBJDIR)/%.o: %.cpp config.h config.mk
	@mkdir -p $(dir $@)
	@$(if $(Q), $(shell echo echo CXX $<),)
	$(Q)$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(DEFINES) -MMD -c -o $@ $<

$(OBJDIR)/%.o: %.m
	@mkdir -p $(dir $@)
	@$(if $(Q), $(shell echo echo OBJC $<),)
	$(Q)$(CXX) $(OBJCFLAGS) $(DEFINES) -MMD -c -o $@ $<

$(OBJDIR)/%.o: %.S config.h config.mk $(HEADERS)
	@mkdir -p $(dir $@)
	@$(if $(Q), $(shell echo echo AS $<),)
	$(Q)$(CC) $(CFLAGS) $(ASFLAGS) $(DEFINES) -c -o $@ $<

$(OBJDIR)/%.o: %.rc $(HEADERS)
	@mkdir -p $(dir $@)
	@$(if $(Q), $(shell echo echo WINDRES $<),)
	$(Q)$(WINDRES) -o $@ $<

install: $(TARGET)
	mkdir -p $(DESTDIR)$(BIN_DIR) 2>/dev/null || /bin/true
	mkdir -p $(DESTDIR)$(GLOBAL_CONFIG_DIR) 2>/dev/null || /bin/true
	mkdir -p $(DESTDIR)$(DATA_DIR)/applications 2>/dev/null || /bin/true
	mkdir -p $(DESTDIR)$(DATA_DIR)/metainfo 2>/dev/null || /bin/true
	mkdir -p $(DESTDIR)$(DOC_DIR) 2>/dev/null || /bin/true
	mkdir -p $(DESTDIR)$(MAN_DIR)/man6 2>/dev/null || /bin/true
	mkdir -p $(DESTDIR)$(DATA_DIR)/pixmaps 2>/dev/null || /bin/true
	cp $(TARGET) $(DESTDIR)$(BIN_DIR)
	cp tools/cg2glsl.py $(DESTDIR)$(BIN_DIR)/retroarch-cg2glsl
	cp retroarch.cfg $(DESTDIR)$(GLOBAL_CONFIG_DIR)
	cp com.libretro.RetroArch.appdata.xml $(DESTDIR)$(DATA_DIR)/metainfo
	cp retroarch.desktop $(DESTDIR)$(DATA_DIR)/applications
	cp docs/retroarch.6 $(DESTDIR)$(MAN_DIR)/man6
	cp docs/retroarch-cg2glsl.6 $(DESTDIR)$(MAN_DIR)/man6
	cp media/retroarch.svg $(DESTDIR)$(DATA_DIR)/pixmaps
	cp COPYING $(DESTDIR)$(DOC_DIR)
	cp README.md $(DESTDIR)$(DOC_DIR)
	chmod 755 $(DESTDIR)$(BIN_DIR)/$(TARGET)
	chmod 755 $(DESTDIR)$(BIN_DIR)/retroarch-cg2glsl
	chmod 644 $(DESTDIR)$(GLOBAL_CONFIG_DIR)/retroarch.cfg
	chmod 644 $(DESTDIR)$(DATA_DIR)/applications/retroarch.desktop
	chmod 644 $(DESTDIR)$(DATA_DIR)/metainfo/com.libretro.RetroArch.appdata.xml
	chmod 644 $(DESTDIR)$(MAN_DIR)/man6/retroarch.6
	chmod 644 $(DESTDIR)$(MAN_DIR)/man6/retroarch-cg2glsl.6
	chmod 644 $(DESTDIR)$(DATA_DIR)/pixmaps/retroarch.svg
	@if test -d media/assets && test $(HAVE_ASSETS); then \
		echo "Installing media assets..."; \
		mkdir -p $(DESTDIR)$(ASSETS_DIR)/assets; \
		if test $(HAVE_MATERIALUI) = 1; then \
			cp -r media/assets/glui/ $(DESTDIR)$(ASSETS_DIR)/assets; \
		fi; \
		if test $(HAVE_XMB) = 1; then \
			cp -r media/assets/xmb/ $(DESTDIR)$(ASSETS_DIR)/assets; \
		fi; \
		if test $(HAVE_OZONE) = 1; then \
			cp -r media/assets/ozone/ $(DESTDIR)$(ASSETS_DIR)/assets; \
		fi; \
		cp media/assets/COPYING $(DESTDIR)$(DOC_DIR)/COPYING.assets; \
		echo "Asset copying done."; \
	fi

uninstall:
	rm -f $(DESTDIR)$(BIN_DIR)/$(TARGET)
	rm -f $(DESTDIR)$(BIN_DIR)/retroarch-cg2glsl
	rm -f $(DESTDIR)$(GLOBAL_CONFIG_DIR)/retroarch.cfg
	rm -f $(DESTDIR)$(DATA_DIR)/applications/retroarch.desktop
	rm -f $(DESTDIR)$(DATA_DIR)/metainfo/com.libretro.RetroArch.appdata.xml
	rm -f $(DESTDIR)$(DATA_DIR)/pixmaps/retroarch.svg
	rm -f $(DESTDIR)$(DOC_DIR)/COPYING
	rm -f $(DESTDIR)$(DOC_DIR)/COPYING.assets
	rm -f $(DESTDIR)$(DOC_DIR)/README.md
	rm -f $(DESTDIR)$(MAN_DIR)/man6/retroarch.6
	rm -f $(DESTDIR)$(MAN_DIR)/man6/retroarch-cg2glsl.6
	rm -rf $(DESTDIR)$(ASSETS_DIR)

clean:
	rm -rf $(OBJDIR_BASE)
	rm -f $(TARGET)
	rm -f *.d

.PHONY: all install uninstall clean

print-%:
	@echo '$*=$($*)'

## retroarch-dmo 1.9.7

=== debian/changelog ===
retroarch-dmo (1.9.7-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 Jul 2021 08:39:21 +0200

retroarch-dmo (1.9.6-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Jun 2021 08:47:00 +0200

retroarch-dmo (1.9.5-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Jun 2021 09:23:25 +0200

retroarch-dmo (1.9.4-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 29 May 2021 01:03:34 +0200

retroarch-dmo (1.9.3-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 May 2021 09:10:23 +0200

retroarch-dmo (1.9.2-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 May 2021 01:55:01 +0200

retroarch-dmo (1.9.1-0.1) unstable; urgency=medium

  * In default configuration file set :
    rgui_config_directory to /usr/share/libretro/assets/xmb was
    ~/.config/retroarch/config/
    content_directory set to /usr/share/libretro/assets was
    set to nothing.
    Set assets_directory to /usr/share/libretro/assets/

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 29 Mar 2021 18:46:10 +0200

retroarch-dmo (1.9.1-0.0) unstable; urgency=medium

  * New upstream release.
  * Disable build with system glslang and spirv-tools

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 29 Mar 2021 15:45:46 +0200

retroarch-dmo (1.9.0-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 30 Nov 2020 15:37:11 +0100

retroarch (1.7.3+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix Ftbfs: add missing dependency libx11-xcb-dev (Closes: #949282)
  * Remove unnecessary dependency libc6-dev (Closes: #866733)
  * Fix lintian error: typo in debian/copyright

 -- Emfox Zhou <emfox@debian.org>  Tue, 11 Feb 2020 13:13:03 +0800

retroarch (1.7.3+dfsg1-1) unstable; urgency=low

  * New upstream release (Closes: #878252).
  * Declare compliance with Debian Policy 4.0.1.
  * Switch to compat level 10.
  * Upstream no longer uses libglm-dev.
  * Added libminiupnpc-dev dependency.
  * Added AppStream desktop meta-info file.

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Wed, 06 Jun 2018 21:27:00 -0300

retroarch (1.4.1+dfsg1-1) experimental; urgency=low

  * New upstream release.
  * Add symlinks to filters and app icon.

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Sun, 26 Feb 2017 19:53:00 -0300

retroarch (1.3.6+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Fix build with ffmpeg 4.0. (Closes: #888356)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Jul 2018 21:35:41 +0200

retroarch (1.3.6+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Changed package maintainer to Debian Games Team.
  * Fixed hardening-no-bindnow, hardening-no-pie.
  * Fixed hardening-no-fortify-functions (CPPFLAGS patch).

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Tue, 23 Aug 2016 22:44:00 -0300

retroarch (1.3.0+dfsg1-1) unstable; urgency=low

  * Removed Sony copyrighted files.

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Tue, 17 May 2016 22:21:00 -0300

retroarch (1.3.0-2) unstable; urgency=low

  * Removed debug packages from control (automatic -dbgsym packages).

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Sun, 10 Apr 2016 22:36:00 -0300

retroarch (1.3.0-1) unstable; urgency=low

  * Initial release (Closes: #792608).

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Wed, 23 Mar 2016 22:55:00 -0300

=== debian/control ===
Source: retroarch-dmo
Section: otherosfs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.libretro.com/
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), libasound2-dev, libavcodec-dev, quilt,
 libavdevice-dev, libavformat-dev, libavutil-dev, libdrm-dev, libegl1-mesa-dev,
 libfreetype6-dev, libgbm-dev (>= 9.0), libglm-dev, libjack-jackd2-dev,
 libminiupnpc-dev, libopenal-dev, libpulse-dev, libsdl2-dev, libswscale-dev,
 libudev-dev, libusb-1.0-0-dev (>= 1.0.16), libv4l-dev, libvulkan-dev,
 libx11-xcb-dev, libxinerama-dev, libxml2-dev, libxv-dev, libxxf86vm-dev,
 pkg-config, python3-dev, qtbase5-dev, x11proto-xext-dev, zlib1g-dev,
 libflac-dev, libmbedtls-dev, libsixel-dev, libssl-dev, wayland-protocols,
 libcaca-dev, libass-dev, libsystemd-dev, oss4-dev, glslang-dev, spirv-tools

Package: retroarch
Architecture: any
Depends: fonts-dejavu-core, libretro-core-info, retroarch-assets, ${misc:Depends}, ${shlibs:Depends}
Description: Simple frontend for the libretro library
 RetroArch is an open source, multi-platform frontend for the libretro API. 
 It can be used as a modular multi emulator system, game engine, media
 player and 3D technical demonstration. These features are available
 through libretro cores.
 .
 It provides three built-in GUI: RGUI, XMB and GLUI.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CXXFLAGS_MAINT_STRIP=-O2
export DEB_CFLAGS_MAINT_STRIP=-O2

ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(ARCH), $(filter $(ARCH), amd64 i386))
	CONFIG_EXTRA_FLAGS=--enable-sse
else ifeq ($(ARCH),armhf)
# Doesn't build with --enable-neon (I don't knwo why).
	CONFIG_EXTRA_FLAGS=--disable-cg --enable-opengles --enable-floathard
else ifeq ($(ARCH),arm64)
	CONFIG_EXTRA_FLAGS=--disable-cg --enable-opengles
endif

%:
	dh $@ --with quilt

override_dh_auto_configure:
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
		retroarch.cfg > debian/retroarch.cfg
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
		debian/retroarch.dirs.in > debian/retroarch.dirs
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
		debian/retroarch.install.in > debian/retroarch.install

	./configure --prefix=/usr --disable-vg \
	--disable-builtinflac --disable-builtinzlib --disable-builtinminiupnpc \
	--disable-builtinmbedtls  \
	$(CONFIG_EXTRA_FLAGS)

# --disable-builtinglslang --disable-spirv_cross

#	exit 1

override_dh_auto_build:
	dh_auto_build -- V=1

	# SoftFilters
	dh_auto_build -- -C gfx/video_filters/

	# Audio DSP plugins
	dh_auto_build -- -C libretro-common/audio/dsp_filters/

override_dh_auto_install:

override_dh_clean:
	dh_clean pkg/ctr/tools/makerom.exe pkg/ctr/tools/bannertool.exe \
	nvdaControllerClient64.dll deps/bearssl-0.6/T0Comp.exe \
	deps/discord-rpc/thirdparty/rapidjson-1.1.0/docker/debian/Dockerfile

# Don't remove 
#	deps/mbedtls
# 	deps/SPIRV-Cross

	-rm -rf vita
	-rm -rf pkg/windows
	-rm -rf pkg/msvc-uwp
	-rm -rf pkg/debian
	-rm -rf deps/libFLAC
	-rm -rf deps/libz
	-rm -rf deps/vita*
#	-rm -rf deps/glslang
	-rm -rf deps/wayland-protocols
	-rm -rf deps/miniupnpc

	-rm gfx/common/wayland/*.c
	-rm gfx/common/wayland/*.h


override_dh_auto_clean:
	touch config.mk
	dh_auto_clean
	dh_auto_clean -- -C gfx/video_filters/ clean
	dh_auto_clean -- -C libretro-common/audio/dsp_filters/ clean

=== debian/watch ===
version=4

https://github.com/libretro/RetroArch/releases \
.*/v?(\d\S*)\.tar\.gz

## retroarch-dmo 1.15.0

=== debian/changelog ===
retroarch-dmo (1.15.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Mar 2023 08:37:03 +0100

retroarch-dmo (1.14.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 13 Dec 2022 13:06:47 +0100

retroarch-dmo (1.13.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 19 Nov 2022 08:37:07 +0100

retroarch-dmo (1.12.0-dmo2) unstable; urgency=medium

  * Build with libflac12

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Oct 2022 16:07:16 +0200

retroarch-dmo (1.12.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 17 Oct 2022 08:36:59 +0200

retroarch-dmo (1.11.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 04 Oct 2022 08:53:15 +0200

retroarch-dmo (1.11.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 30 Sep 2022 19:05:23 +0200

retroarch-dmo (1.10.3-dmo3) unstable; urgency=medium

  * Build with ffmpeg 5.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jun 2022 15:01:25 +0200

retroarch-dmo (1.10.3-dmo2) unstable; urgency=medium

  * Build with libssl3

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 May 2022 08:20:48 +0200

retroarch-dmo (1.10.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Apr 2022 08:40:14 +0200

retroarch-dmo (1.10.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Mar 2022 01:03:34 +0100

retroarch-dmo (1.10.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Mar 2022 16:29:21 +0100

retroarch-dmo (1.10.0-dmo3) unstable; urgency=medium

  * Build with mbedtls 2.28

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Feb 2022 08:14:55 +0100

retroarch-dmo (1.10.0-dmo2) unstable; urgency=medium

  * Build armhf with --disable-videocore

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 08 Feb 2022 16:47:40 +0100

retroarch-dmo (1.10.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Jan 2022 07:29:59 +0100

retroarch-dmo (1.9.14-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 Dec 2021 13:57:41 +0100

retroarch-dmo (1.9.13.2-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Nov 2021 11:22:47 +0100

retroarch-dmo (1.9.13.1-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 12 Nov 2021 07:57:10 +0100

retroarch-dmo (1.9.13-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Nov 2021 09:08:49 +0100

retroarch-dmo (1.9.12-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Oct 2021 08:44:55 +0200

retroarch-dmo (1.9.11-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Oct 2021 02:02:40 +0200

retroarch-dmo (1.9.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Sep 2021 07:42:50 +0200

retroarch-dmo (1.9.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 Sep 2021 09:30:37 +0200

retroarch-dmo (1.9.8-0.0) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 23 Aug 2021 09:13:40 +0200

=== debian/control ===
Source: retroarch-dmo
Section: otherosfs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.libretro.com/
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), libasound2-dev, libavcodec-dev, quilt,
 libavdevice-dev, libavformat-dev, libavutil-dev, libdrm-dev, libegl1-mesa-dev,
 libfreetype-dev, libgbm-dev (>= 9.0), libglm-dev, libjack-jackd2-dev,
 libopenal-dev, libpulse-dev, libsdl2-dev, libswscale-dev, libudev-dev,
 libusb-1.0-0-dev (>= 1.0.16), libv4l-dev, libvulkan-dev, libx11-xcb-dev,
 libxinerama-dev, libxml2-dev, libxv-dev, pkgconf, python3-dev, libsixel-dev,
 x11proto-dev, zlib1g-dev, libflac-dev, libmbedtls-dev (>= 2.28.0~), glslang-dev,
 libssl-dev, wayland-protocols, libcaca-dev, libass-dev, libsystemd-dev,
 oss4-dev, spirv-tools, qtbase5-dev, libdecor-0-dev

Package: retroarch
Architecture: any
Depends: fonts-dejavu-core, libretro-core-info, retroarch-assets, ${misc:Depends}, ${shlibs:Depends}
Description: Simple frontend for the libretro library
 RetroArch is an open source, multi-platform frontend for the libretro API. 
 It can be used as a modular multi emulator system, game engine, media
 player and 3D technical demonstration. These features are available
 through libretro cores.
 .
 It provides three built-in GUI: RGUI, XMB and GLUI.

=== debian/rules ===
--- 
+++ 
@@ -8,16 +8,19 @@
 ifeq ($(ARCH), $(filter $(ARCH), amd64 i386))
 	CONFIG_EXTRA_FLAGS=--enable-sse
 else ifeq ($(ARCH),armhf)
-# Doesn't build with --enable-neon (I don't knwo why).
-	CONFIG_EXTRA_FLAGS=--disable-cg --enable-opengles --enable-floathard
+# Doesn't build with --enable-neon (I don't know why).
+	CONFIG_EXTRA_FLAGS=--disable-cg --enable-opengles --enable-floathard --disable-videocore
+	PARALLEL=--no-parallel
 else ifeq ($(ARCH),arm64)
 	CONFIG_EXTRA_FLAGS=--disable-cg --enable-opengles
+	PARALLEL=--no-parallel
 endif
 
+
 %:
-	dh $@ --with quilt
+	dh $@ --with quilt $(PARALLEL)
 
-override_dh_auto_configure:
+execute_before_dh_auto_configure:
 	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
 		retroarch.cfg > debian/retroarch.cfg
 	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
@@ -25,12 +28,10 @@
 	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
 		debian/retroarch.install.in > debian/retroarch.install
 
+override_dh_auto_configure:
 	./configure --prefix=/usr --disable-vg \
-	--disable-builtinflac --disable-builtinzlib --disable-builtinminiupnpc \
-	--disable-builtinmbedtls  \
+	--disable-builtinflac --disable-builtinzlib --disable-builtinmbedtls \
 	$(CONFIG_EXTRA_FLAGS)
-
-# --disable-builtinglslang --disable-spirv_cross
 
 #	exit 1
 
@@ -63,10 +64,9 @@
 	-rm -rf deps/vita*
 #	-rm -rf deps/glslang
 	-rm -rf deps/wayland-protocols
-	-rm -rf deps/miniupnpc
 
 	-rm gfx/common/wayland/*.c
-	-rm gfx/common/wayland/*.h
+#	-rm gfx/common/wayland/*.h
 
 
 override_dh_auto_clean:

## retroarch-dmo 1.21.1

=== deps/libShake/examples/Makefile ===
ifeq ($(PLATFORM), gcw0)
  CC         := /opt/gcw0-toolchain/usr/bin/mipsel-linux-gcc
  STRIP      := /opt/gcw0-toolchain/usr/bin/mipsel-linux-strip
endif

CC           ?= gcc
STRIP        ?= strip
TARGET       ?= simple listDevices deviceTest
LDFLAGS	     := -L.. -lshake
CFLAGS       := -fPIC -I../include
SRCDIR       := .

ifdef DEBUG
  CFLAGS += -ggdb -Wall -Werror -pedantic -std=c89
else
  CFLAGS += -O2
endif

.PHONY: all clean

all: $(TARGET)

$(TARGET):
	$(CC) $(CFLAGS) $(SRCDIR)/$@.c $(LDFLAGS) -o $@
	$(STRIP) $@

clean:
	rm -Rf $(TARGET)

=== deps/xxHash/cmake_unofficial/CMakeLists.txt ===
# To the extent possible under law, the author(s) have dedicated all
# copyright and related and neighboring rights to this software to
# the public domain worldwide. This software is distributed without
# any warranty.
#
# For details, see <https://creativecommons.org/publicdomain/zero/1.0/>.

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)

set(XXHASH_DIR "${CMAKE_CURRENT_SOURCE_DIR}/..")

file(STRINGS "${XXHASH_DIR}/xxhash.h" XXHASH_VERSION_MAJOR REGEX "^#define XXH_VERSION_MAJOR +([0-9]+) *$")
string(REGEX REPLACE "^#define XXH_VERSION_MAJOR +([0-9]+) *$" "\\1" XXHASH_VERSION_MAJOR "${XXHASH_VERSION_MAJOR}")
file(STRINGS "${XXHASH_DIR}/xxhash.h" XXHASH_VERSION_MINOR REGEX "^#define XXH_VERSION_MINOR +([0-9]+) *$")
string(REGEX REPLACE "^#define XXH_VERSION_MINOR +([0-9]+) *$" "\\1" XXHASH_VERSION_MINOR "${XXHASH_VERSION_MINOR}")
file(STRINGS "${XXHASH_DIR}/xxhash.h" XXHASH_VERSION_RELEASE REGEX "^#define XXH_VERSION_RELEASE +([0-9]+) *$")
string(REGEX REPLACE "^#define XXH_VERSION_RELEASE +([0-9]+) *$" "\\1" XXHASH_VERSION_RELEASE "${XXHASH_VERSION_RELEASE}")
set(XXHASH_VERSION_STRING "${XXHASH_VERSION_MAJOR}.${XXHASH_VERSION_MINOR}.${XXHASH_VERSION_RELEASE}")
set(XXHASH_LIB_VERSION ${XXHASH_VERSION_STRING})
set(XXHASH_LIB_SOVERSION "${XXHASH_VERSION_MAJOR}")
mark_as_advanced(XXHASH_VERSION_MAJOR XXHASH_VERSION_MINOR XXHASH_VERSION_RELEASE XXHASH_VERSION_STRING XXHASH_LIB_VERSION XXHASH_LIB_SOVERSION)

if("${CMAKE_VERSION}" VERSION_LESS "3.13")
    #message(WARNING "CMake ${CMAKE_VERSION} has no CMP0077 policy: options will erase uncached/untyped normal vars!")
else()
    cmake_policy (SET CMP0077 NEW)
endif()
if("${CMAKE_VERSION}" VERSION_LESS "3.0")
    project(xxHash C)
else()
    cmake_policy (SET CMP0048 NEW)
    project(xxHash
        VERSION ${XXHASH_VERSION_STRING}
        LANGUAGES C)
endif()

if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Project build type" FORCE)
  set_property(CACHE CMAKE_BUILD_TYPE
    PROPERTY STRINGS "Debug" "Release" "RelWithDebInfo" "MinSizeRel")
endif()
if(NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "xxHash build type: ${CMAKE_BUILD_TYPE}")
endif()

# Enable assert() statements in debug builds
if("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
    if("${CMAKE_VERSION}" VERSION_LESS "3.12")
        # add_compile_definitions is not available for older cmake => do nothing
    else()
        add_compile_definitions(XXH_DEBUGLEVEL=1)
    endif()
endif()

option(BUILD_SHARED_LIBS "Build shared library" ON)
option(XXHASH_BUILD_XXHSUM "Build the xxhsum binary" ON)

# If XXHASH is being bundled in another project, we don't want to
# install anything.  However, we want to let people override this, so
# we'll use the XXHASH_BUNDLED_MODE variable to let them do that; just
# set it to OFF in your project before you add_subdirectory(xxhash/cmake_unofficial).
if(NOT DEFINED XXHASH_BUNDLED_MODE)
  if("${PROJECT_SOURCE_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
    set(XXHASH_BUNDLED_MODE OFF)
  else()
    set(XXHASH_BUNDLED_MODE ON)
  endif()
endif()
set(XXHASH_BUNDLED_MODE ${XXHASH_BUNDLED_MODE} CACHE BOOL "" FORCE)
mark_as_advanced(XXHASH_BUNDLED_MODE)

# Allow people to choose whether to build shared or static libraries
# via the BUILD_SHARED_LIBS option unless we are in bundled mode, in
# which case we always use static libraries.
include(CMakeDependentOption)
CMAKE_DEPENDENT_OPTION(BUILD_SHARED_LIBS "Build shared libraries" ON "NOT XXHASH_BUNDLED_MODE" OFF)

# libxxhash
add_library(xxhash "${XXHASH_DIR}/xxhash.c")
add_library(${PROJECT_NAME}::xxhash ALIAS xxhash)

target_include_directories(xxhash
  PUBLIC
    $<BUILD_INTERFACE:${XXHASH_DIR}>
    $<INSTALL_INTERFACE:include/>)
if (BUILD_SHARED_LIBS)
  target_compile_definitions(xxhash PUBLIC XXH_EXPORT)
endif ()
set_target_properties(xxhash PROPERTIES
  SOVERSION "${XXHASH_LIB_SOVERSION}"
  VERSION "${XXHASH_VERSION_STRING}")

if(XXHASH_BUILD_XXHSUM)
  set(XXHSUM_DIR "${XXHASH_DIR}/cli")
  # xxhsum
  add_executable(xxhsum "${XXHSUM_DIR}/xxhsum.c"
                        "${XXHSUM_DIR}/xsum_os_specific.c"
                        "${XXHSUM_DIR}/xsum_output.c"
                        "${XXHSUM_DIR}/xsum_sanity_check.c"
                        "${XXHSUM_DIR}/xsum_bench.c"
                )
  add_executable(${PROJECT_NAME}::xxhsum ALIAS xxhsum)

  target_link_libraries(xxhsum PRIVATE xxhash)
  target_include_directories(xxhsum PRIVATE "${XXHASH_DIR}")
endif(XXHASH_BUILD_XXHSUM)

# Extra warning flags
include (CheckCCompilerFlag)
if (XXHASH_C_FLAGS)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${XXHASH_C_FLAGS}")
endif()

if(NOT XXHASH_BUNDLED_MODE)
  include(GNUInstallDirs)

  install(TARGETS xxhash
    EXPORT xxHashTargets
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}")
  install(FILES "${XXHASH_DIR}/xxhash.h"
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")
  install(FILES "${XXHASH_DIR}/xxh3.h"
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")
  if(XXHASH_BUILD_XXHSUM)
    install(TARGETS xxhsum
      EXPORT xxHashTargets
      RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")
    install(FILES "${XXHSUM_DIR}/xxhsum.1"
      DESTINATION "${CMAKE_INSTALL_MANDIR}/man1")
  endif(XXHASH_BUILD_XXHSUM)

  include(CMakePackageConfigHelpers)

  set(xxHash_VERSION_CONFIG "${PROJECT_BINARY_DIR}/xxHashConfigVersion.cmake")
  set(xxHash_PROJECT_CONFIG "${PROJECT_BINARY_DIR}/xxHashConfig.cmake")
  set(xxHash_TARGETS_CONFIG "${PROJECT_BINARY_DIR}/xxHashTargets.cmake")
  set(xxHash_CONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/xxHash/")
  write_basic_package_version_file(${xxHash_VERSION_CONFIG}
    VERSION ${XXHASH_VERSION_STRING}
    COMPATIBILITY AnyNewerVersion)
  configure_package_config_file(
    ${PROJECT_SOURCE_DIR}/xxHashConfig.cmake.in
    ${xxHash_PROJECT_CONFIG}
    INSTALL_DESTINATION ${xxHash_CONFIG_INSTALL_DIR})
  if("${CMAKE_VERSION}" VERSION_LESS "3.0")
      set(XXHASH_EXPORT_SET xxhash)
      if(XXHASH_BUILD_XXHSUM)
        set(XXHASH_EXPORT_SET ${XXHASH_EXPORT_SET} xxhsum)
      endif()
      export(TARGETS ${XXHASH_EXPORT_SET}
      FILE ${xxHash_TARGETS_CONFIG}
      NAMESPACE ${PROJECT_NAME}::)
  else()
    export(EXPORT xxHashTargets
      FILE ${xxHash_TARGETS_CONFIG}
      NAMESPACE ${PROJECT_NAME}::)
  endif()

  install(FILES ${xxHash_PROJECT_CONFIG} ${xxHash_VERSION_CONFIG}
    DESTINATION ${xxHash_CONFIG_INSTALL_DIR})
  install(EXPORT xxHashTargets
    DESTINATION ${xxHash_CONFIG_INSTALL_DIR}
    NAMESPACE ${PROJECT_NAME}::)

  # configure and install pkg-config
  set(PREFIX ${CMAKE_INSTALL_PREFIX})
  set(EXECPREFIX "\${prefix}")
  set(INCLUDEDIR "${CMAKE_INSTALL_INCLUDEDIR}")
  set(LIBDIR "${CMAKE_INSTALL_LIBDIR}")
  set(VERSION "${XXHASH_VERSION_STRING}")
  configure_file(${XXHASH_DIR}/libxxhash.pc.in ${CMAKE_BINARY_DIR}/libxxhash.pc @ONLY)

  install(FILES ${CMAKE_BINARY_DIR}/libxxhash.pc
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

endif(NOT XXHASH_BUNDLED_MODE)

=== pkg/apple/iOS/Makefile ===
APPVERSION = 1.9.13.0
PACKAGE_VERSION = 1.9.13.0

DEPLOYMENT_IOSVERSION = 5.0
TARGET = iphone:latest:$(DEPLOYMENT_IOSVERSION)
ARCHS = armv7
TARGET_IPHONEOS_DEPLOYMENT_VERSION=$(DEPLOYMENT_IOSVERSION)
include $(THEOS)/makefiles/common.mk

SRC_DIR := ../..

APPLICATION_NAME = RetroArch
${APPLICATION_NAME}_FRAMEWORKS = Foundation UIKit CoreGraphics AudioToolbox GLKit OpenGLES CoreText CoreLocation CoreAudio AVFoundation CoreMedia CoreVideo GameController
${APPLICATION_NAME}_FILES = $(SRC_DIR)/griffin/griffin.c \
		  $(SRC_DIR)/griffin/griffin_objc.m

COMMON_FLAGS := -DIOS -DHAVE_GRIFFIN -DHAVE_NETWORKING -DHAVE_IFINFO -DHAVE_RGUI -DHAVE_MENU -DHAVE_DYNAMIC -DHAVE_OPENGL -DHAVE_OPENGLES -DHAVE_OPENGLES2 -DHAVE_GLSL -DINLINE=inline -DHAVE_THREADS -D__LIBRETRO__ -DRARCH_MOBILE -std=gnu99 -DHAVE_COREAUDIO -DHAVE_OVERLAY -DHAVE_ZLIB -DRARCH_INTERNAL -DHAVE_FILTERS_BUILTIN -DHAVE_XMB -D_LZMA_UINT32_IS_ULONG -DHAVE_STRL
COMMON_IOS_FLAGS := -Wno-deprecated-declarations -Wno-error
COMMON_IOS_OBJCFLAGS := -fobjc-arc 
INCFLAGS       := -I$(SRC_DIR) -I$(SRC_DIR)/libretro-common/include
${APPLICATION_NAME}_CFLAGS  += $(COMMON_FLAGS) $(COMMON_IOS_FLAGS) $(COMMON_IOS_OBJCFLAGS) $(INCFLAGS)
${APPLICATION_NAME}_CCFLAGS += $(COMMON_FLAGS) $(COMMON_IOS_FLAGS) $(COMMON_IOS_OBJCFLAGS) $(INCFLAGS)

include $(THEOS_MAKE_PATH)/application.mk

=== deps/glslang/glslang/StandAlone/CMakeLists.txt ===
add_library(glslang-default-resource-limits
            ${CMAKE_CURRENT_SOURCE_DIR}/ResourceLimits.cpp)
set_property(TARGET glslang-default-resource-limits PROPERTY FOLDER glslang)
set_property(TARGET glslang-default-resource-limits PROPERTY POSITION_INDEPENDENT_CODE ON)

target_include_directories(glslang-default-resource-limits
                           PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}
                           PUBLIC ${PROJECT_SOURCE_DIR})

set(SOURCES StandAlone.cpp DirStackFileIncluder.h)
set(REMAPPER_SOURCES spirv-remap.cpp)

add_executable(glslangValidator ${SOURCES})
add_executable(spirv-remap ${REMAPPER_SOURCES})
set_property(TARGET glslangValidator PROPERTY FOLDER tools)
set_property(TARGET spirv-remap PROPERTY FOLDER tools)
glslang_set_link_args(glslangValidator)
glslang_set_link_args(spirv-remap)

set(LIBRARIES
    glslang
    SPIRV
    SPVRemapper
    glslang-default-resource-limits)

if(WIN32)
    set(LIBRARIES ${LIBRARIES} psapi)
elseif(UNIX)
    if(NOT ANDROID)
        set(LIBRARIES ${LIBRARIES} pthread)
    endif()
endif(WIN32)

target_link_libraries(glslangValidator ${LIBRARIES})
target_link_libraries(spirv-remap ${LIBRARIES})

if(WIN32)
    source_group("Source" FILES ${SOURCES})
endif(WIN32)

if(ENABLE_GLSLANG_INSTALL)
    install(TARGETS glslangValidator
            RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

    install(TARGETS spirv-remap
            RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
            
    if(BUILD_SHARED_LIBS)
        install(TARGETS glslang-default-resource-limits
                LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
    endif()
endif(ENABLE_GLSLANG_INSTALL)

=== gfx/include/userland/host_applications/linux/apps/hello_pi/hello_jpeg/Makefile ===
OBJS=jpeg.o
BIN=hello_jpeg.bin
LDFLAGS+=-lilclient

include ../Makefile.include

=== debian/changelog ===
retroarch-dmo (1:1.21.1-dmo2) unstable; urgency=medium

  * Build with ffmpeg 8

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Sep 2025 07:19:48 +0200

retroarch-dmo (1:1.21.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Apr 2025 08:45:20 +0200

retroarch-dmo (1:1.20.0-dmo3+b1) unstable; urgency=medium

  * Build with libflac12

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 22 Feb 2025 09:02:39 +0100

retroarch-dmo (1:1.20.0-dmo3) unstable; urgency=medium

  * Add libpipewire-0.3-dev and liblzma-dev to Build-Depends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Feb 2025 08:29:34 +0100

retroarch-dmo (1:1.20.0-dmo2) unstable; urgency=medium

  * Build with Qt6
  * Don't disable dh_auto_install

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 16 Jan 2025 09:15:27 +0100

retroarch-dmo (1:1.20.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Jan 2025 09:11:12 +0100

retroarch-dmo (1:1.19.1-dmo2) unstable; urgency=medium

  * Build with mbedtls 3.6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 18 Oct 2024 15:06:57 +0200

retroarch-dmo (1:1.19.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 04 Jun 2024 07:59:29 +0200

retroarch-dmo (1:1.19.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 30 May 2024 08:49:27 +0200

retroarch-dmo (1:1.18.0-dmo2) unstable; urgency=medium

  * Add patch from PR#16499 to fix build with ffmpeg 7.x

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 May 2024 08:39:30 +0200

retroarch-dmo (1:1.18.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 22 Mar 2024 01:15:01 +0100

retroarch-dmo (1:1.17.0-dmo2) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Mar 2024 09:50:12 +0100

retroarch-dmo (1:1.17.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 Feb 2024 08:30:23 +0100

retroarch-dmo (1:1.16.0.3-dmo2) unstable; urgency=medium

  * Build with --disable-update_assets

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 Dec 2023 09:19:24 +0100

retroarch-dmo (1.16.0.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Sep 2023 08:10:26 +0200

retroarch-dmo (1.16.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 28 Sep 2023 08:12:07 +0200

retroarch-dmo (1.16.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 27 Sep 2023 08:16:11 +0200

retroarch-dmo (1.16.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 22 Sep 2023 07:50:08 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CXXFLAGS_MAINT_STRIP=-O2
export DEB_CFLAGS_MAINT_STRIP=-O2

ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(ARCH), $(filter $(ARCH), amd64 i386))
	CONFIG_EXTRA_FLAGS=--enable-sse
else ifeq ($(ARCH),armhf)
# Doesn't build with --enable-neon (I don't know why).
	CONFIG_EXTRA_FLAGS=--disable-cg --enable-opengles --enable-floathard --disable-videocore
#	PARALLEL=--no-parallel
else ifeq ($(ARCH),arm64)
	CONFIG_EXTRA_FLAGS=--disable-cg --enable-opengles
#	PARALLEL=--no-parallel
endif

export QT_SELECT := qt6

%:
	dh $@ --with quilt -XCOPYING

execute_before_dh_auto_configure:
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
		retroarch.cfg > debian/retroarch.cfg
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
		debian/retroarch.dirs.in > debian/retroarch.dirs
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
		debian/retroarch.install.in > debian/retroarch.install

override_dh_auto_configure:
	./configure \
	$(CONFIG_EXTRA_FLAGS) \
	--disable-builtinflac \
	--disable-builtinmbedtls \
	--disable-builtinzlib \
	--disable-update_assets \
	--disable-vg \
	--enable-dbus \
	--prefix=/usr

#	exit 1

override_dh_auto_build:
	dh_auto_build -- V=1

	# SoftFilters
	dh_auto_build -- -C gfx/video_filters/

	# Audio DSP plugins
	dh_auto_build -- -C libretro-common/audio/dsp_filters/

override_dh_auto_clean:
	touch config.mk
	dh_auto_clean qb/config.libs.sh debian/retroarch.cfg

	dh_auto_clean -- -C gfx/video_filters/ clean
	dh_auto_clean -- -C libretro-common/audio/dsp_filters/ clean

## retroarch-dmo 1.22.2

=== debian/changelog ===
retroarch-dmo (1:1.22.2-dmo1) unstable; urgency=medium

  * New upstream release.
  * Temporary fix: build against bundled flac

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 11 Dec 2025 00:46:29 +0100

=== debian/control ===
Source: retroarch-dmo
Section: otherosfs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.libretro.com/
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libasound2-dev,
 libavcodec-dev, quilt, libavdevice-dev, libavformat-dev, libavutil-dev,
 libdrm-dev, libegl1-mesa-dev, libfreetype-dev, libgbm-dev (>= 9.0),
 libglm-dev, libjack-jackd2-dev, libopenal-dev, libpulse-dev, libsdl2-dev,
 libswscale-dev, libudev-dev, libusb-1.0-0-dev (>= 1.0.16), libv4l-dev,
 libvulkan-dev, libx11-xcb-dev, libxinerama-dev, libxml2-dev, libxv-dev,
 pkgconf, python3-dev, libsixel-dev, x11proto-dev, zlib1g-dev, libflac-dev,
 libmbedtls-dev (>= 2.28.0~), glslang-dev, libssl-dev, wayland-protocols,
 libcaca-dev, libass-dev, libsystemd-dev, oss4-dev, spirv-tools,
 libdecor-0-dev, qt6-base-dev, libpipewire-0.3-dev, liblzma-dev,

Package: retroarch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, fonts-dejavu-core, libretro-core-info, retroarch-assets,
Description: Simple frontend for the libretro library
 RetroArch is an open source, multi-platform frontend for the libretro API.
 It can be used as a modular multi emulator system, game engine, media
 player and 3D technical demonstration. These features are available
 through libretro cores.
 .
 It provides three built-in GUI: RGUI, XMB and GLUI.

Package: retroarch-dev
Architecture: all
Section: devel
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Development files for the libretro library
 RetroArch is an open source, multi-platform frontend for the libretro API.
 It can be used as a modular multi emulator system, game engine, media player
 and 3D technical demonstration. These features are available through
 libretro cores.
 .
 This package contains include files of use to projects that are integrating
 with the libretro ecosystem.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 export DEB_CXXFLAGS_MAINT_STRIP=-O2
 export DEB_CFLAGS_MAINT_STRIP=-O2
+
+##export DEB_CFLAGS_MAINT_APPEND=-DHAVE_DR_FLAC=0
 
 ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 
@@ -32,12 +34,12 @@
 override_dh_auto_configure:
 	./configure \
 	$(CONFIG_EXTRA_FLAGS) \
-	--disable-builtinflac \
 	--disable-builtinmbedtls \
 	--disable-builtinzlib \
 	--disable-update_assets \
 	--disable-vg \
 	--enable-dbus \
+	--enable-builtinflac \
 	--prefix=/usr
 
 #	exit 1
